package net.wanji.datacenter.pojo.po;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 20:17
 */
@Data
@TableName("t_base_lane_info")
@ApiModel(value = "CrossBaseLaneInfoPO", description = "路口基础车道数据")
public class CrossBaseLaneInfoPO {
    @ApiModelProperty(name = "修改时间",notes = "")
    private String id;
    @ApiModelProperty(name = "修改时间",notes = "")
    private String code;
    @ApiModelProperty(name = "车道序号，从左车道开始编号11、12、13...",notes = "")
    private Integer sort;
    @ApiModelProperty(name = "车道类型：1路段车道；2进口车道；3出口车道；4左转弯待转区；6直行待行区",notes = "")
    private Integer type;
    @ApiModelProperty(name = "车道方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dir;
    @ApiModelProperty(name = "车道转向：1左转；2直行；3右转；4掉头；5直左；6直右；7左直右；8左右；9左转掉头；10直行掉头；11右转掉头；12左直掉头；13直右掉头；14左直右掉头；15左右掉头",notes = "")
    private Integer turn;
    @ApiModelProperty(name = "车道类别：1机动车；2非机动车；3公交专用；4可变；5潮汐",notes = "")
    private Integer category;
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;
    @ApiModelProperty(name = "路段编号",notes = "")
    private String rid;
    @ApiModelProperty(name = "渠化编号",notes = "")
    private String segmentId;
    @ApiModelProperty(name = "车道长度",notes = "")
    private Double length;
    @ApiModelProperty(name = "车道宽度",notes = "")
    private Double width;
    @ApiModelProperty(name = "空间对象",notes = "")
    private String wkt;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
