package net.wanji.datacenter.pojo.po;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 19:02
 */
@Data
@TableName("t_cross_data_realtime")
@ApiModel(value = "CrossDataRealTimePO", description = "路口实时数据")
public class CrossDataRealTimePO {
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;
    @ApiModelProperty(name = "路口状态：0正常 1失衡 2拥堵 3溢出 4死锁",notes = "")
    private Integer status;
    @ApiModelProperty(name = "拥堵类型 1常规 2异常",notes = "")
    private Integer type;
    @ApiModelProperty(name = "交通指数（1-10）",notes = "")
    private Double trafficIndex;
    @ApiModelProperty(name = "开始时间 yyyy-MM-dd HH:mm:sss",notes = "")
    private Date startTime;
    @ApiModelProperty(name = "持续时间(分钟)",notes = "")
    private Integer duration;
    @ApiModelProperty(name = "是否失衡 0否 1是",notes = "")
    private Integer unbalanceStatus;
    @ApiModelProperty(name = "是否溢出 0否 1是",notes = "")
    private Integer spilloverStatus;
    @ApiModelProperty(name = "是否拥堵 0否 1是",notes = "")
    private Integer congestionStatus;
    @ApiModelProperty(name = "失衡指数",notes = "")
    private Double unbalanceIndex;
    @ApiModelProperty(name = "溢出指数",notes = "")
    private Double spilloverIndex;
    @ApiModelProperty(name = "拥堵指数",notes = "")
    private Double congestionIndex;
    @ApiModelProperty(name = "路口失衡方向：1，2，3...",notes = "")
    private String unbalanceDirs;
    @ApiModelProperty(name = "溢出方向",notes = "")
    private String spilloverDirs;
    @ApiModelProperty(name = "拥堵方向",notes = "")
    private String congestionDirs;
    @ApiModelProperty(name = "交通流量(辆)",notes = "")
    private Integer flow;
    @ApiModelProperty(name = "交通流率/h",notes = "")
    private Double flowRate;
    @ApiModelProperty(name = "平均速度",notes = "")
    private Double speed;
    @ApiModelProperty(name = "最大排队长度",notes = "")
    private Double queueLength;
    @ApiModelProperty(name = "停车次数",notes = "")
    private Integer stopTimes;
    @ApiModelProperty(name = "延误时间",notes = "")
    private Integer delayTime;
    @ApiModelProperty(name = "饱和度：欠饱和：<0.6；近饱和：>=0.6 & < 0.8；过饱和：>0.8",notes = "")
    private Double sturation;
    @ApiModelProperty(name = "数据批次 十位日期int",notes = "")
    private Integer batchTime;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
