package net.wanji.datacenter.pojo.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author hfx
 * @date 2023/1/10 16:36
 * @desc CrossDataRealtimePO
 */
@Data
@ApiModel(value = "CrossDirDataHistPO", description = "路口转向实时历史数据")
public class CrossDirDataHistPO {
    /** 路口方向ID（路口ID_方向_进出口_主辅路序号） */
    @ApiModelProperty(name = "路口方向ID（路口ID_方向_进出口_主辅路序号）",notes = "")
    private String id ;
    /** 路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北 */
    @ApiModelProperty(name = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dirType ;
    /** 进出口类型：1进口；2出口 */
    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    private Integer inOutType ;
    /** 路口ID */
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId ;
    /** 路段长度 */
    @ApiModelProperty(name = "路段长度",notes = "")
    private Double length ;
    /** 交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知 */
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知",notes = "")
    private Integer status ;
    /** 交通指数 */
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex ;
    @ApiModelProperty(value = "开始时间：yyyy-MM-dd HH:mm:ss",notes = "")
    private Date startTime ;
    @ApiModelProperty(value = "持续时间（单位：分钟）",notes = "")
    private Integer duration ;
    /** 交通流量（辆） */
    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private Integer flow ;
    /** 平均速度（km/h） */
    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private Double speed ;
    /** 排队长度（米） */
    @ApiModelProperty(name = "排队长度（米）",notes = "")
    private Double queueLength ;
    /** 停车次数（次） */
    @ApiModelProperty(name = "停车次数（次）",notes = "")
    private Double stopTimes ;
    /** 延误时间（秒） */
    @ApiModelProperty(name = "延误时间（秒）",notes = "")
    private Integer delayTime ;
    /** 饱和度 */
    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation ;
    /** 采集时间（10位时间戳） */
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    private Integer batchTime ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    /** 修改时间 */
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
