package net.wanji.datacenter.pojo.po;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 19:22
 */
@Data
@TableName("t_cross_dir_data_realtime")
@ApiModel(value = "CrossDirDataRealTimePO", description = "路口转向实时数据")
public class CrossDirDataRealTimePO {
    @ApiModelProperty(name = "路口方向ID（路口ID_方向_进出口_主辅路序号）",notes = "")
    private String id;
    @ApiModelProperty(name = "路口方向类型：1北；2东北；3东；4东南；5南；6西南；7西；8西北",notes = "")
    private Integer dirType;
    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    private Integer inOutType;
    @ApiModelProperty(name = "进出口类型：1进口；2出口",notes = "")
    private String crossId;
    @ApiModelProperty(name = "路段长度",notes = "")
    private Double length;
    @ApiModelProperty(name = "交通状态：1畅通；2缓行；3拥堵；4严重拥堵；5未知",notes = "")
    private Integer status;
    @ApiModelProperty(name = "交通指数",notes = "")
    private Double trafficIndex;
    @ApiModelProperty(name = "开始时间",notes = "")
    private Date startTime;
    @ApiModelProperty(name = "持续时间",notes = "")
    private Integer duration;
    @ApiModelProperty(name = "交通流量(辆)",notes = "")
    private Integer flow;
    @ApiModelProperty(name = "平均速度(km/h)",notes = "")
    private Double speed;
    @ApiModelProperty(name = "排队长(米)",notes = "")
    private Double queueLength;
    @ApiModelProperty(name = "停车次数",notes = "")
    private Integer stopTimes;
    @ApiModelProperty(name = "延误时间",notes = "")
    private Integer delayTime;
    @ApiModelProperty(name = "饱和度",notes = "")
    private Double sturation;
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    private Integer batchTime;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
    @ApiModelProperty(name = "溢流时长，计算溢流率提供；溢流率：交叉口间路段车辆排队长度超出可容纳空间的时长与观测总时长的百分比",notes = "")
    private Double effusionTime;
}
