package net.wanji.datacenter.pojo.po;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2023/03/10 19:36
 */
@Data
@TableName("t_cross_turn_data_realtime")
@ApiModel(value = "CrossLaneDataRealTimePO", description = "路口车道实时数据")
public class CrossLaneDataRealTimePO {
    @ApiModelProperty(name = "车道编号",notes = "")
    private String id;
    @ApiModelProperty(name = "路口编号",notes = "")
    private String crossId;
    @ApiModelProperty(name = "交通流量（辆）",notes = "")
    private String flow;
    @ApiModelProperty(name = "平均速度（km/h）",notes = "")
    private String speed;
    @ApiModelProperty(name = "驶入速度（km/h）",notes = "")
    private String in_speed;
    @ApiModelProperty(name = "驶出速度（km/h）",notes = "")
    private String out_speed;
    @ApiModelProperty(name = "排队长度（米）",notes = "")
    private String queue_length;
    @ApiModelProperty(name = "停车次数",notes = "")
    private String stop_times;
    @ApiModelProperty(name = "延误时间",notes = "")
    private String delay_time;
    @ApiModelProperty(name = "通行能力（辆/某一时段内最大过车数）,通行能力=自然流量",notes = "")
    private String capacity;
    @ApiModelProperty(name = "饱和度",notes = "")
    private String sturation;
    @ApiModelProperty(name = "车头间距（米）",notes = "")
    private String vehhead_dist;
    @ApiModelProperty(name = "车头时距（秒）",notes = "")
    private String vehhead_time;
    @ApiModelProperty(name = "可信度（0-1）",notes = "")
    private String quality;
    @ApiModelProperty(name = "采集时间（10位时间戳）",notes = "")
    private String batch_time;
    @ApiModelProperty(name = "创建时间",notes = "")
    private Date gmtCreate ;
    @ApiModelProperty(name = "修改时间",notes = "")
    private Date gmtModified ;
}
